import React from 'react';
import { shallow } from 'enzyme';
import Checkbox from '../Checkbox';
var _global = global,
    testUtils = _global.testUtils;
var props = {
  input: testUtils.getInputProp(),
  value: 'v1',
  label: 'test label',
  variant: null,
  disabled: false
};
var wrapper;
describe('Checkbox', function () {
  beforeEach(function () {
    wrapper = shallow(React.createElement(Checkbox, props));
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should allow variants', function () {
    wrapper.setProps({
      variant: 'primary'
    });
    var className = wrapper.find('span').prop('className');
    expect(className).toMatch(/bg-primary/);
  });
});